Bug 24877 - Add link from vendor to linked subscriptions
Summary: Add link from vendor to linked subscriptions
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-16 07:09 UTC by Katrin Fischer
Modified: 2020-05-18 15:25 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Adds a link on the vendor detail page to a subscription search for the vendor's name to get a list of all linked subscriptions.
Version(s) released in:
20.05.00, 19.11.05


Attachments
Bug 24877: Add link from vendor to linked subscriptions (1.93 KB, patch)
2020-03-16 07:15 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24877: Add link from vendor to linked subscriptions (2.07 KB, patch)
2020-03-19 14:39 UTC, Devinim
Details | Diff | Splinter Review
Bug 24877: Add link from vendor to linked subscriptions (2.14 KB, patch)
2020-03-24 10:20 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-03-16 07:09:45 UTC
We show the number of subscriptions linked to a vendor on the vendor details page, but there is no way to see the subscriptions. We should have a link to search for them.
Comment 1 Katrin Fischer 2020-03-16 07:15:19 UTC
Created attachment 100723 [details] [review]
Bug 24877: Add link from vendor to linked subscriptions

Koha shows the number of subscriptions linked to a vendor,
but there is no way to look them up. This adds a link to the
subscription search with the vendor name, so there is an easy way
to find the subscriptions.

To test:
- Be superlibrarian or have serials permission
- Make sure you have one or more subscriptions linked to vendors
- Go to the vendor's detail page in acquisitions
- Verify the number of subscriptions is now a link
- Verify the search results are correct when clicking on it
- Remove permissions (no serials, not superlibrarian)
- Verify now the number shows, but is not linked
Comment 2 Katrin Fischer 2020-03-16 07:15:59 UTC
It would be better to link by ID, but we have no search option by vendor ID in serials right now.
Comment 3 Devinim 2020-03-19 14:39:58 UTC
Created attachment 101023 [details] [review]
Bug 24877: Add link from vendor to linked subscriptions

Koha shows the number of subscriptions linked to a vendor,
but there is no way to look them up. This adds a link to the
subscription search with the vendor name, so there is an easy way
to find the subscriptions.

To test:
- Be superlibrarian or have serials permission
- Make sure you have one or more subscriptions linked to vendors
- Go to the vendor's detail page in acquisitions
- Verify the number of subscriptions is now a link
- Verify the search results are correct when clicking on it
- Remove permissions (no serials, not superlibrarian)
- Verify now the number shows, but is not linked

Signed-off-by: Devinim <nazli@devinim.com.tr>
Comment 4 Jonathan Druart 2020-03-24 10:20:12 UTC
Created attachment 101532 [details] [review]
Bug 24877: Add link from vendor to linked subscriptions

Koha shows the number of subscriptions linked to a vendor,
but there is no way to look them up. This adds a link to the
subscription search with the vendor name, so there is an easy way
to find the subscriptions.

To test:
- Be superlibrarian or have serials permission
- Make sure you have one or more subscriptions linked to vendors
- Go to the vendor's detail page in acquisitions
- Verify the number of subscriptions is now a link
- Verify the search results are correct when clicking on it
- Remove permissions (no serials, not superlibrarian)
- Verify now the number shows, but is not linked

Signed-off-by: Nazlı Çetin <nazli@devinim.com.tr>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Martin Renvoize 2020-03-24 11:34:04 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-04-03 22:23:45 UTC
backported to 19.11.x for 19.11.05
Comment 7 Lucas Gass 2020-04-13 20:34:23 UTC
not backporting enhancement to 19.05.x